Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple
Class TupleEntryIterator

    java.lang.Object
      cascading.tuple.TupleEntryIterator

All Implemented Interfaces:
  Closeable, Iterator<TupleEntry>

Direct Known Subclasses:
  TupleEntryChainIterator, TupleEntrySchemeIterator

    public abstract class TupleEntryIterator

extends Object
implements Iterator<TupleEntry>, Closeable

Class TupleEntryIterator provides an efficient Iterator for returning `TupleEntry` elements in an underlying `Tuple` collection.

Constructor Summary
`TupleEntryIterator(Fields fields)` Constructor TupleEntryIterator creates a new TupleEntryIterator instance.

Method Summary
`Fields` | `getFields()` Method getFields returns the fields of this TupleEntryIterator object.
`TupleEntry` | `getTupleEntry()` Method getTupleEntry returns the entry of this TupleEntryIterator object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### TupleEntryIterator

    public TupleEntryIterator(Fields fields)

  Constructor TupleEntryIterator creates a new TupleEntryIterator instance.

  Parameters:
    `fields` - of type Fields

Method Detail

### getFields

    public Fields getFields()

  Method getFields returns the fields of this TupleEntryIterator object.

  Returns:
    the fields (type Fields) of this TupleEntryIterator object.

### getTupleEntry

    public TupleEntry getTupleEntry()

  Method getTupleEntry returns the entry of this TupleEntryIterator object.

  Since `TupleEntry` and the underlying `Tuple` instances are re-used, you must make a copy if you wish to store the instances in a Collection for later use.

  Returns:
    the entry (type TupleEntry) of this TupleEntryIterator object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.